﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace StyleBug.Controllers
{    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            // Create the map
            Map map = new Map("Map", 350, 350);
            map.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            map.CurrentExtent = new RectangleShape(-125.0011, 49.5904, -66.9326, 24.9493);
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.WebConfigRegisterMode = WebConfigRegistrationMode.Manual;

            if (false)
            {
                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                map.CustomOverlays.Add(worldMapKitOverlay);
            }
            else
            {
                LayerOverlay overlay = new LayerOverlay();
                overlay.IsBaseOverlay = true;

                string connectionString = @"Data Source = D:\downloads\heatmap\WorldMapKit.sqlite;Version=3;Read Only=True;";
                OsmWorldMapKitLayer osmWorldMapKitLayer = new OsmWorldMapKitLayer(connectionString, OsmWorldMapKitDatabaseType.Sqlite);
                osmWorldMapKitLayer.DrawingExceptionMode = DrawingExceptionMode.DrawException;
                overlay.Layers.Add(osmWorldMapKitLayer);

                map.CustomOverlays.Add(overlay);
            }

            map.CenterAt(new PointShape(-77.415072398756, 37.507301225696, 0));
            map.ZoomToScale(map.ZoomLevelSet.ZoomLevel16.Scale);

            return View(map);
        }
    }
}
